package com.yeejoin.amos.boot.module.hygf.api.service;


import com.yeejoin.amos.boot.module.hygf.api.config.UserEmpower;
import com.yeejoin.amos.boot.module.hygf.api.dto.JpStationDto;
import com.yeejoin.amos.boot.module.hygf.api.entity.JpStation;
import org.apache.ibatis.annotations.Param;

import java.util.LinkedHashSet;
import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * 第三方场站接口类
 *
 * @author system_generator
 * @date 2023-09-19
 */
public interface IJpStationService {

    Map<String, List<Object>> getPowerqx(String date, String type, List<String> statioId);

    Map<String,Object> getcount( JpStationDto reviewDto);

    List<Map<String,Object>>  getcountState( JpStationDto reviewDto);
    //投产电站数
    Map<String,Object>getcountStatetc(JpStationDto reviewDto);
    //建设建站数
    Map<String,Object>getcountStatejs( JpStationDto reviewDto);
    //接入中电站数
    Map<String,Object>getcountStatejr( JpStationDto reviewDto);

    List<JpStation> getJpStation( JpStationDto reviewDto);

    Map<String, List<Object>> getGenerateqx(String date, String type, JpStationDto reviewDto);


    Map<String, List<Object>> getPowerqxnew(String date, JpStationDto reviewDto);
}
